#ifndef MAINCLASS_HH
# define MAINCLASS_HH
# include <vector>
# include <memory>
class MainClass
{
  public:
    MainClass(int argc, char* argv[]);

    int usage();
    int execute();

  private:
    bool build_actions_();
    bool bad_value_();
    int argc_;
    char** argv_;
    std::vector<std::function<bool()>> actions_;
};
#endif /* !MAINCLASS_HH */
